import { post } from '#/api/http'

import { BasicService } from '../basic'

class ClassStudentService extends BasicService {
  async unbindDevice(userId: any) {
    await post(
      `/org/student/unbindDevice?userId=${encodeURIComponent(userId)}`,
    )
  }

  protected findPageUrl(): string {
    return '/org/student/list'
  }

  protected removeUrl(): string {
    return '/org/student/delete'
  }

  protected saveOrUpdateUrl(): string {
    return '/org/student/saveOrUpdate'
  }
}

export const classStudentService = new ClassStudentService()
